suix_getDynamicFields
POST
Return the list of dynamic field objects owned by an object.
param[0]
parentObjectIdstringrequired
The ID of the parent objectparam[1]
cursorstringrequired
An optional paging cursor. If provided, the query will start from the next item after the specified cursor. Default to start from the first item if not specified.param[2]
limitintegerrequired
Maximum item returned per page, default to [QUERY_MAX_RESULT_LIMIT] if not specified.Responses
jsonrpcstring
idinteger
next_cursor points to the last item in the page; Reading with next_cursor will start from the next item after next_cursor if next_cursor is Some, otherwise it will start from the first item.digestobjectrequired
typestringrequired
valuebooleanrequired
objectIdobjectrequired
objectTypestringrequired
typestringrequired
versionstringrequired
hasNextPagebooleanrequired
nextCursorobject
codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Bad Request"}
cURL
curl -X POST 'https://sui-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "suix_getDynamicFields","params": ["0x5612581eba57ebe7e594b809ccceec2be4dac6ff6945d49b3ecc043d049611f6","0x671832358f25bfacde706e528df4e15bb8de6dadd21835dfe44f4973139c15f9",3]}'